summaryrefslogtreecommitdiff
path: root/tests/igt_command_line.sh
diff options
context:
space:
mode:
authorDaniel Vetter <daniel.vetter@ffwll.ch>2014-10-27 15:08:50 +0100
committerDaniel Vetter <daniel.vetter@ffwll.ch>2014-10-29 13:29:32 +0100
commit685e57736a2c5da2e955ffd2f0027e4b42e397f7 (patch)
tree73f67d671b29e59de413740f1f5e3c177199fbc9 /tests/igt_command_line.sh
parent9d6a2cacf6796c8e06e4b7432c5f795d4ee56d8b (diff)
Move library selftests to lib/tests
Again they're not really igt testcases so are in the way of running spatch unconditionally. Move them someplace else. Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>
Diffstat (limited to 'tests/igt_command_line.sh')
-rwxr-xr-xtests/igt_command_line.sh61
1 files changed, 0 insertions, 61 deletions
diff --git a/tests/igt_command_line.sh b/tests/igt_command_line.sh
deleted file mode 100755
index 075f1d53..00000000
--- a/tests/igt_command_line.sh
+++ /dev/null
@@ -1,61 +0,0 @@
-#!/bin/sh
-#
-# Copyright © 2014 Intel Corporation
-#
-# Permission is hereby granted, free of charge, to any person obtaining a
-# copy of this software and associated documentation files (the "Software"),
-# to deal in the Software without restriction, including without limitation
-# the rights to use, copy, modify, merge, publish, distribute, sublicense,
-# and/or sell copies of the Software, and to permit persons to whom the
-# Software is furnished to do so, subject to the following conditions:
-#
-# The above copyright notice and this permission notice (including the next
-# paragraph) shall be included in all copies or substantial portions of the
-# Software.
-#
-# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
-# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
-# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
-# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
-# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
-# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
-# IN THE SOFTWARE.
-
-#
-# Check that command line handling works consistently across all tests
-#
-
-for test in `cat single-tests.txt multi-tests.txt`; do
-
- if [ "$test" = "TESTLIST" -o "$test" = "END" ]; then
- continue
- fi
-
- # if the test is a script, it will be in $srcdir
- if [ ! -x $test ]; then
- if [ -x $srcdir/$test ]; then
- test=$srcdir/$test
- fi
- fi
-
- echo "$test:"
-
- # check invalid option handling
- echo " Checking invalid option handling..."
- ./$test --invalid-option 2> /dev/null && exit 99
-
- # check valid options succeed
- echo " Checking valid option handling..."
- ./$test --help > /dev/null || exit 99
-
- # check --list-subtests works correctly
- echo " Checking subtest enumeration..."
- ./$test --list-subtests > /dev/null
- if [ $? -ne 0 -a $? -ne 79 ]; then
- exit 99
- fi
-
- # check invalid subtest handling
- echo " Checking invalid subtest handling..."
- ./$test --run-subtest invalid-subtest > /dev/null 2>&1 && exit 99
-done